=== debian/changelog ===
golang-github-sigstore-timestamp-authority (1.2.3-2) unstable; urgency=medium

  * salsa-ci.yml: Use B-D's from unstable.
  * Fix Vcs-* URLs.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 13 Nov 2024 09:06:35 +0100

golang-github-sigstore-timestamp-authority (1.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #1085855)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Oct 2024 22:53:39 +0000
