=== debian/changelog ===
golang-github-sigstore-timestamp-authority (1.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Fix lrc rule in salsa-ci.
  * Standards-Version: 4.7.2.
  * Bump copyright years.
  * Salsa lintian ignore unactionable complaints.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 01 Oct 2025 13:34:42 +0200
