=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -37,7 +36,7 @@
  golang-k8s-sigs-release-utils-dev,
  golang-prometheus-client-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-timestamp-authority
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-sigstore-timestamp-authority.git
 Homepage: https://github.com/sigstore/timestamp-authority
