=== debian/rules ===
#!/usr/bin/make -f

# Disable everything that depends on pkg/signer which needs unpackaged
# dependencies, e.g. tink.
export DH_GOLANG_EXCLUDES :=									\
	github.com/sigstore/timestamp-authority/cmd/fetch-tsa-certs				\
	github.com/sigstore/timestamp-authority/cmd/timestamp-cli				\
	github.com/sigstore/timestamp-authority/cmd/timestamp-cli/app				\
	github.com/sigstore/timestamp-authority/cmd/timestamp-cli/app/format			\
	github.com/sigstore/timestamp-authority/cmd/timestamp-server				\
	github.com/sigstore/timestamp-authority/cmd/timestamp-server/app			\
	github.com/sigstore/timestamp-authority/pkg/api						\
	github.com/sigstore/timestamp-authority/pkg/client					\
	github.com/sigstore/timestamp-authority/pkg/client/mock					\
	github.com/sigstore/timestamp-authority/pkg/generated/client				\
	github.com/sigstore/timestamp-authority/pkg/generated/client/timestamp			\
	github.com/sigstore/timestamp-authority/pkg/generated/models				\
	github.com/sigstore/timestamp-authority/pkg/generated/restapi				\
	github.com/sigstore/timestamp-authority/pkg/generated/restapi/operations		\
	github.com/sigstore/timestamp-authority/pkg/generated/restapi/operations/timestamp	\
	github.com/sigstore/timestamp-authority/pkg/internal/cmdparams				\
	github.com/sigstore/timestamp-authority/pkg/log						\
	github.com/sigstore/timestamp-authority/pkg/ntpmonitor					\
	github.com/sigstore/timestamp-authority/pkg/server					\
	github.com/sigstore/timestamp-authority/pkg/signer					\
	github.com/sigstore/timestamp-authority/pkg/tests					\

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	rm -fv _build/src/github.com/sigstore/timestamp-authority/pkg/x509/x509_test.go
	rm -fv _build/src/github.com/sigstore/timestamp-authority/pkg/verification/verify_test.go
	dh_auto_test $(DH_BUILD_OPTS)
