## golang-github-sigstore-timestamp-authority 2.0.3

=== debian/changelog ===
golang-github-sigstore-timestamp-authority (2.0.3-2) unstable; urgency=medium

  * Reduce DH_GOLANG_EXCLUDES, working around issues that arise

 -- Simon Josefsson <simon@josefsson.org>  Sat, 13 Dec 2025 10:43:31 +0100

golang-github-sigstore-timestamp-authority (2.0.3-1) unstable; urgency=medium

  * Drop d/.gitignore
  * New upstream version 2.0.3
    - Fix JSON OID parsing CVE-2025-66564 (Closes: #1122060)
  * Work around goodkey issue

 -- Simon Josefsson <simon@josefsson.org>  Thu, 11 Dec 2025 09:17:35 +0100
