=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := pkg/ntpmonitor/ntpsync.yaml

# fetch-tsa-certs needs unpackaged KMS stuff
export DH_GOLANG_EXCLUDES := \
	github.com/sigstore/timestamp-authority/cmd/fetch-tsa-certs

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

override_dh_auto_test:
	-dh_auto_test $(DH_BUILD_OPTS)
