## golang-github-sigstore-timestamp-authority 2.0.4

=== Makefile ===
--- 
+++ 
@@ -91,33 +91,33 @@
 	rm -rf $(shell find pkg/generated -iname "*.go"|grep -v pkg/generated/restapi/configure_timestamp_server.go)
 
 up: ## Run the TSA with Docker Compose
-	docker-compose -f docker-compose.yml build --build-arg SERVER_LDFLAGS="$(SERVER_LDFLAGS)"
-	docker-compose -f docker-compose.yml up
+	docker compose -f docker-compose.yml build --build-arg SERVER_LDFLAGS="$(SERVER_LDFLAGS)"
+	docker compose -f docker-compose.yml up
 
 ko: ## Run Ko
 	# timestamp-server
 	LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
 	KO_DOCKER_REPO=$(KO_PREFIX)/timestamp-server ko build --bare \
 		--platform=all --tags $(GIT_VERSION) --tags $(GIT_HASH) \
-		--image-refs timestampServerImagerefs github.com/sigstore/timestamp-authority/cmd/timestamp-server
+		--image-refs timestampServerImagerefs github.com/sigstore/timestamp-authority/v2/cmd/timestamp-server
 
 	# timestamp-cli
 	LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
 	KO_DOCKER_REPO=$(KO_PREFIX)/timestamp-cli ko build --bare \
 		--platform=all --tags $(GIT_VERSION) --tags $(GIT_HASH) \
-		--image-refs timestampCLIImagerefs github.com/sigstore/timestamp-authority/cmd/timestamp-cli
+		--image-refs timestampCLIImagerefs github.com/sigstore/timestamp-authority/v2/cmd/timestamp-cli
 
 .PHONY: ko-local
 ko-local: ## Run Ko locally
 	LDFLAGS="$(SERVER_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
 	ko publish --base-import-paths \
 		--tags $(GIT_VERSION) --tags $(GIT_HASH) --local \
-		github.com/sigstore/timestamp-authority/cmd/timestamp-server
+		github.com/sigstore/timestamp-authority/v2/cmd/timestamp-server
 
 	LDFLAGS="$(CLI_LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
 	ko publish --base-import-paths \
 		--tags $(GIT_VERSION) --tags $(GIT_HASH) --local \
-		github.com/sigstore/timestamp-authority/cmd/timestamp-cli
+		github.com/sigstore/timestamp-authority/v2/cmd/timestamp-cli
 
 ## --------------------------------------
 ## Tooling Binaries
