=== debian/changelog ===
golang-github-sigstore-timestamp-authority (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4

 -- Simon Josefsson <simon@josefsson.org>  Sat, 20 Dec 2025 00:58:53 +0100
