=== debian/control ===
--- 
+++ 
@@ -22,19 +22,24 @@
  golang-github-mitchellh-go-homedir-dev,
  golang-github-mitchellh-mapstructure-dev,
  golang-github-pkg-errors-dev,
+ golang-github-prometheus-client-golang-dev,
  golang-github-rs-cors-dev,
  golang-github-sigstore-sigstore-dev,
+ golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-pflag-dev,
  golang-github-spf13-viper-dev,
+ golang-github-tink-crypto-tink-go-awskms-dev,
+ golang-github-tink-crypto-tink-go-dev,
+ golang-github-tink-crypto-tink-go-gcpkms-dev,
  golang-github-urfave-negroni-dev,
  golang-go.uber-zap-dev,
  golang-golang-x-net-dev,
  golang-google-cloud-dev,
  golang-google-protobuf-dev,
- golang-gopkg-yaml.v3-dev,
  golang-k8s-sigs-release-utils-dev,
- golang-prometheus-client-dev,
+ golang-k8s-sigs-yaml-dev,
+ golang-uber-goleak-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-sigstore-timestamp-authority
@@ -60,19 +65,24 @@
  golang-github-mitchellh-go-homedir-dev,
  golang-github-mitchellh-mapstructure-dev,
  golang-github-pkg-errors-dev,
+ golang-github-prometheus-client-golang-dev,
  golang-github-rs-cors-dev,
  golang-github-sigstore-sigstore-dev,
+ golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-pflag-dev,
  golang-github-spf13-viper-dev,
+ golang-github-tink-crypto-tink-go-awskms-dev,
+ golang-github-tink-crypto-tink-go-dev,
+ golang-github-tink-crypto-tink-go-gcpkms-dev,
  golang-github-urfave-negroni-dev,
  golang-go.uber-zap-dev,
  golang-golang-x-net-dev,
  golang-google-cloud-dev,
  golang-google-protobuf-dev,
- golang-gopkg-yaml.v3-dev,
  golang-k8s-sigs-release-utils-dev,
- golang-prometheus-client-dev,
+ golang-k8s-sigs-yaml-dev,
+ golang-uber-goleak-dev,
  ${misc:Depends},
 Description: Sigstore RFC3161 Timestamp Authority (Go library)
  Sigstore Timestamp Authority
